This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 842451 - fdisk doesn't align partition start to 1MiB if +<size>MB is used
fdisk doesn't align partition start to 1MiB if +<size>MB is used
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 17:45 EDT by Milan Broz
Modified: 2013-02-28 23:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-03 09:35:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Broz 2012-07-23 17:45:11 EDT
Description of problem:
If there are no topology data (default 512b alignement), fdisk should align new partition start to 1MiB.

Unfortunately, not true if you use SI units:

fdisk /dev/sdb
n -> primary, start is default 2048 sectors (ok), size +256MB
n -> primarym use default

and you will see this:
   Device Boot      Start         End      Blocks   Id  System
/dev/sdb1            2048      502047      250000   83  Linux
/dev/sdb2          502048   312499999   155998976   83  Linux

502048 is not aligned to expected 1MiB. it should be 503808

Fixed here
https://github.com/karelzak/util-linux/commit/c0175e6185ac81843cbad33cbea75abd033f0e66

Version-Release number of selected component (if applicable):
util-linux-2.21.2-2.fc18.x86_64

How reproducible:
see above

Note You need to log in before you can comment on or make changes to this bug.